function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from "react";

var Image = function (_React$Component) {
  _inherits(Image, _React$Component);

  function Image(props) {
    _classCallCheck(this, Image);

    for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    var _this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this, props].concat(args)));

    _this.onImageLoaded = function (img) {
      var src = img.target.src;
      _this.setState(function () {
        return {
          src: src
        };
      });
    };

    _this.state = {
      src: null
    };
    return _this;
  }

  Image.prototype.componentDidMount = function componentDidMount() {
    var el = this.img;
    if (el.complete) {
      var src = el.src;
      this.setState(function () {
        return {
          src: src
        };
      });
    }
  };

  Image.prototype.render = function render() {
    var _this2 = this;

    var _props = this.props,
        responsiveImage = _props.responsiveImage,
        title = _props.title,
        alt = _props.alt;

    var imgStyle = {
      display: 'block',
      opacity: this.state.src ? 1 : 0.01,
      transition: "all 0.3s ease-in",
      width: '100%',
      height: 'auto'
    };
    return React.createElement(
      "div",
      {
        style: {
          overflow: 'hidden',
          backgroundSize: "contain",
          backgroundRepeat: 'no-repeat',
          backgroundPosition: "top center",
          backgroundImage: 'url("' + responsiveImage.placeholder + '")',
          width: '100%',
          height: '100%'
        }
      },
      React.createElement("img", {
        ref: function ref(img) {
          _this2.img = img;
        },
        style: imgStyle,
        onLoad: this.onImageLoaded,
        src: responsiveImage.src,
        srcSet: responsiveImage.srcSet,
        title: title,
        alt: alt
      })
    );
  };

  return Image;
}(React.Component);

export default Image;